unit Unitdefs;

interface
uses windows;
                 
Const DLLName = 'USBIICMS.DLL';

      CMD_WRBYTE      = $01;
      CMD_WRWORD      = $02;
      CMD_WRDWORD     = $03;
      CMD_WRBLOCK     = $04;
      CMD_RDBYTE      = $05;
      CMD_RDWORD      = $06;
      CMD_RDDWORD     = $07;
      CMD_RDBLOCK     = $08;

function initusbiic(pIRQCallBack : pointer; pSlaveCallback : pointer; pcMSGID : PChar) : DWORD; stdcall; external DLLName;
function enumdevices : integer; stdcall; external DLLName;
function getproductversion(index : Integer) : pchar; stdcall; external DLLName;
function getvendorname(index : Integer) : pchar; stdcall; external DLLName;
function getproductname(index : Integer) : pchar; stdcall; external DLLName;
function getserialnumber(index : Integer) : pchar; stdcall; external DLLName;
function opendevicebyindex(index : Integer) : DWORD; stdcall; external DLLName;
function OpenDeviceBySerial(pcserialnum : PChar) : DWORD; stdcall; external DLLName;
function closedevice: DWORD; stdcall; external DLLName;
function currentdeviceindex : integer; stdcall; external DLLName;
function geti2cstatusstring(wstatus : word) : PChar; stdcall; external DLLName;
function writei2c(ucSlvAdr : Byte; const pi2cdata; wSize: WORD; var wstatus : WORD;
                  dwTimeOut : DWORD): DWORD; stdcall; external DLLName;
function readi2c(ucSlvAdr : Byte; var pi2cdata; var wSize, wstatus : WORD;
                 dwTimeOut : DWORD): DWORD; stdcall; external DLLName;
function scani2c(var pScandata; var ucSize : Byte;
                 dwTimeOut : DWORD) : DWORD; stdcall; external DLLName;
function setsclhilo(wSCLH, wSCLL : WORD;
                    dwTimeOut : DWORD) : DWORD; stdcall; external DLLName;
function getsclhilo(var wSCLH, wSCLL : WORD;
                    dwTimeOut : DWORD) : DWORD; stdcall; external DLLName;
function setscl(dwfreq : DWORD; dwTimeOut : DWORD) : DWORD; stdcall; external DLLName;
function getscl(var dwfreq : DWORD; dwTimeOut : DWORD) : DWORD; stdcall; external DLLName;
function resetirq(var ucIRQMode : Byte; dwTimeOut : DWORD) : DWORD; stdcall; external DLLName;
function wrdi2c(ucSlvAdr : Byte; const pWRData; wWRSize : WORD;
                var pRDData; var wRDSize , wStatus : WORD;
                dwTimeOut : DWORD) : DWORD; stdcall; external DLLName;

//---seti2cmode still exists, but use "setmode" instead-------------------------
function seti2cmode(var ucmode, ucslvadr : Byte; dwTimeOut : DWORD) : DWORD; stdcall; external DLLName;
//------------------------------------------------------------------------------
function setmode(var ucmode, ucslvadr : Byte; dwTimeOut : DWORD) : DWORD; stdcall; external DLLName;
function writei2cslavebuf(const pi2cdata; wSize : WORD; ucEvent : Byte;
                          dwTimeOut : DWORD): DWORD; stdcall; stdcall; external DLLName;
function seti2cslvaddr(var ucslvadr : byte; dwTimeOut : DWORD) : DWORD; stdcall; external DLLName;
function chkslvaddr(ucSlvAddr : Byte; var ucConnected : Byte; dwTimeOut : DWORD): DWORD; stdcall; external DLLName;
function geterrorstring(dwerr : DWORD) : pchar; stdcall; external DLLName;

function memwr8bit(wAddr : WORD; ucVal : Byte; dwTimeOut : DWORD) : DWORD; stdcall; external DLLName;
function memwr16bit(wAddr : WORD; wVal : WORD; dwTimeOut : DWORD) : DWORD; stdcall; external DLLName;
function memwr32bit(wAddr : WORD; dwVal : DWORD; dwTimeOut : DWORD) : DWORD; stdcall; external DLLName;
function memwrblock(wAddr : WORD; const pmemdata; wSize : WORD; dwTimeOut : DWORD) : DWORD; stdcall; external DLLName;
function memrd8bit(wAddr : WORD; var ucVal : Byte; dwTimeOut : DWORD) : DWORD; stdcall; external DLLName;
function memrd16bit(wAddr : WORD; var wVal : WORD; dwTimeOut : DWORD) : DWORD; stdcall; external DLLName;
function memrd32bit(wAddr : WORD; var dwVal : DWORD; dwTimeOut : DWORD) : DWORD; stdcall; external DLLName;
function memrdblock(wAddr : WORD; var pmemdata; var wSize : WORD; dwTimeOut : DWORD) : DWORD; stdcall; external DLLName;
function savesettings(dwTimeOut : DWORD) : DWORD; stdcall; external DLLName;
function resetsettings(dwTimeOut : DWORD) : DWORD; stdcall; external DLLName;

implementation

end.
